%define upstream_name Auth_HTTP
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.1.8
Release:     	%mkrel 2
Summary:    	HTTP authentication
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Auth_HTTP-%{version}.tgz
URL: 		http://pear.php.net/package/Auth_HTTP
BuildRequires: 	php-pear >= 1.4.7
Requires:	php-pear-Auth >= 1.2.0
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
The PEAR::Auth_HTTP class provides methods for creating an HTTP
authentication system using PHP, that is similar to Apache's
realm-based .htaccess authentication.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Auth_HTTP.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Auth_HTTP.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Auth_HTTP
fi

%files
%defattr(-,root,root)
%doc docs/Auth_HTTP/*
%{peardir}/*
%{xmldir}/Auth_HTTP.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.1.8-2.mga3
+ Revision: 375878
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 11 2012 spuhler <spuhler> 2.1.8-1.mga2
+ Revision: 207483
- upgrade to 2.1.8
  pearized spec file

* Sun Jan 30 2011 spuhler <spuhler> 2.1.6-12.mga1
+ Revision: 44597
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Auth_HTTP

